6.0.0-git
2020-01-18

[#82] Install script to install horde and modules
Summary Install script to install horde and modules
Queue Horde Framework Packages
Type Enhancement
State Resolved
Priority 2. Medium
Owners
Requester horde (at) systemsteam (dot) com
Created 2004-04-15 (5756 days ago)
Due
Updated 2007-02-07 (4728 days ago)
Assigned 2004-05-25 (5716 days ago)
Resolved 2007-02-07 (4728 days ago)
Milestone
Patch No

History
2007-02-07 23:25:32 Jan Schneider Comment #31
State ⇒ Resolved
Reply to this comment
We have a setup script in the groupware bundles now, we can go further 
from there if we have to.
2006-10-16 19:18:22 gregswallow (at) skynetonline (dot) ca Comment #30 Reply to this comment
SME Server 7 includes Horde(3.0)/turba/ingo/imp preconfigured and installed.



John has now made updated rpms that install and configure 
horde(3.1)/imp/turba/ingo/gollem/mimp/kronolith/mnemo/nag/trean here:

http://distro.ibiblio.org/pub/linux/distributions/smeserver/contribs/jbennett/sme7/horde3.1.x/RPMS/



I guess you guys are looking for a more universal install script, but 
feel free to recommend SME Server to people that want to easily try 
out Horde ;-)



Greg Swallow

Communications Manager

SME Server Inc.
2006-02-17 18:21:12 Chuck Hagenbuch Comment #29 Reply to this comment
2005-06-30 18:25:52 Chuck Hagenbuch Comment #28 Reply to this comment
Glad to hear that. Any chance of giving something like an estimated
approx. beta date?
No.
Will this student contact me?
No. Not sure why they should.
2005-06-30 12:52:05 horde (at) systemsteam (dot) com Comment #27 Reply to this comment
Glad to hear that. Any chance of giving something like an estimated 
approx. beta date?



Will this student contact me?
2005-06-29 13:38:20 Chuck Hagenbuch Comment #26 Reply to this comment
There seems to be not too much interest in such an installer. I just
thought that it would make Horde more attractive and easy to install
so more people would use it.
I'm not sure why you think this. There's plenty of interest, and in 
fact a Google SoC student will be working on it.
2005-06-29 12:51:53 horde (at) systemsteam (dot) com Comment #25 Reply to this comment
There seems to be not too much interest in such an installer. I just 
thought that it would make Horde more attractive and easy to install 
so more people would use it.



But ... I guess that I have to install my the new version step by step again.



Thanks to all of you guys who have spend time in this.



BTW the offer stands.
2005-06-29 07:29:38 barjunk (at) attglobal (dot) net Comment #24 Reply to this comment
Looks like not much has happened with the installer.  I'm not clear on 
what you were thinking with regard to the URL that is posted.



My goal was to get the minimal packages loaded so that we could use 
the gui to finish the install.



Maybe add a module that would allow HEAD versions of other modules to 
be installed right from the gui as well.
2005-02-18 15:08:26 Jan Schneider Comment #23
State ⇒ Feedback
Reply to this comment
To avoid duplicate work and creating a soon to be obsolete installer, 
the install script should be implemented as post-install script for 
PEAR 1.4.0. Everything else could be done through the PEAR installer.

See http://greg.chiaraquartet.net/ for details.
2004-11-10 18:42:32 horde (at) systemsteam (dot) com Comment #22 Reply to this comment
Ok, I saw where I have to confirm my bounty. However, I have a 
question: when I pay the 700 US$ via PayPal, who can tell me when this 
project will be finished and if it wil be what I want? I will pay 700 
US$ for that what I ask for and I want to prove it but I will not sign 
a blank cheque ;-).



Any input is welcome.
2004-11-10 15:39:47 Chuck Hagenbuch Comment #21 Reply to this comment
No. No one has sponsored the bounty, including you. $700 is the 
*suggested* amount, but right now if the work is done there is no 
bounty to be paid to whoever does it. See 
http://horde.org/bounties/sponsor.php?sponsor[id]=horde_installer
2004-11-10 11:07:58 horde (at) systemsteam (dot) com Comment #20 Reply to this comment
I've checked the bounties and saw there is 700$ in the chest 
(including my 500). Please tell me how to confirm this.
2004-11-09 18:29:42 Chuck Hagenbuch Comment #19 Reply to this comment
BTW my 500$ offer is still valid.
It'd be great if you could sign up to do the sponsorship so that this 
shows as actually sponsored instead of just a potential bounty.
2004-11-06 15:29:28 horde (at) systemsteam (dot) com Comment #18 Reply to this comment
BTW my 500$ offer is still valid.
2004-11-06 15:28:00 horde (at) systemsteam (dot) com Comment #17 Reply to this comment
Hi there,



Thanks 4 the update. This week I have a couple of days of and I hope I 
will have the time to check all things out.

I'll keep you posted.



Greetz

Filips
2004-11-05 19:44:47 barjunk (at) attglobal (dot) net Comment #16
New Attachment: go-horde[2].php Download
Reply to this comment
More updates try and make the code easier to work with.  Make smaller 
chunks of code to make it easier to modify in the future.  Added use 
of FTP site instead of HTTP.
2004-10-13 15:56:53 horde (at) systemsteam (dot) com Comment #15 Reply to this comment
Hi barjunk,



Thanks for working on this project. Unfortunately I don't have much 
time right now and will have to look at it later, probably in a few 
weeks. In the meanwhile please keep working on it and enhance it as 
much as you can. Then we can go through it and enhance it to create a 
newbie-proof peace of art.



Greetz and thanks again
2004-10-12 22:19:17 barjunk (at) attglobal (dot) net Comment #14
New Attachment: go-horde[1].php Download
Reply to this comment
Minor updates to create temporary directories and fix a typo
2004-10-10 18:27:07 barjunk (at) attglobal (dot) net Comment #13 Reply to this comment
go-horde.php script



Attached to this page is the go-horde script. It is an ALPHA level php 
script that installs Horde using the MySQL database backend.

This script must be run as the root user. It has only been tested on 
Fedora Core 3 test 1. It uses the Horde provided defaults and it is 
suggested that you change the horde database password after it is 
installed. There are many limitations, so please read through the 
script before executing it. By default it will install: Framework, 
Horde, Turba, Imp, Nag, Kronolith, Mnemo, Wicked. Here are the steps:



- download the go-horde.php script

- ensure the Apache and MySQL servers are running

- Run the script like this: php go-horde.php

- Answer the questions regarding where to put it,etc.

- Run the install-packages.php script: php framework/install-packages.php

- Ensure you have the required items, go to 
http://www.example.com/horde/test.php



     This will show what pieces are still missing from php, pear or 
whatever. www.example.com isn't a real address, use your ip address 
here. Use: pear install <module> to install any missing pear modules.



- After loading all the missing modules (you may need to restart your 
Apache server) go to http://www.example.com/horde/

- Choose the Configuration from the menu on the left and configure the 
modules that you are installing.



     Hint: Selecting a module to configure then pressing Generate will 
create a working default install



- After things are configured the way you would like, run the bash 
script set_perms.sh to tighten security for the site
2004-10-10 18:26:39   New Attachment: go-horde.php Download
 
2004-07-26 21:38:57 horde (at) systemsteam (dot) com Comment #12 Reply to this comment
Hi Jaques,



Thanks for reacting on my proposal.



I have created a web layout which makes it pretty clear what I have in mind. I

can do the web stuff if you could do the coding. Let's team up.



Attached you can find the web code.



Greetz

Filips


2004-07-26 21:34:29   Comment #11
New Attachment: horde_installer.zip Download
Reply to this comment
unpack this zipfile in a separate directory. Then click index.htm.
2004-07-26 21:34:28 horde (at) systemsteam (dot) com Comment #10 Reply to this comment
unpack this zipfile in a separate directory. Then click index.htm.
2004-07-26 21:23:30 jacques (at) php (dot) net Comment #9 Reply to this comment
I've got some code which does the initial setup for a 'Horde IMP' 
webmail system, but one still needs to manually configure the modules. 
  Would a 'dialog' type menu system be useful for selecting I want to 
extract say imp and kronolith and turba.  I'm going to add code to get 
the script to download the distfiles from ftp://ftp.horde.org/
2004-05-25 17:09:34 Chuck Hagenbuch State ⇒ Assigned
Priority ⇒ 2. Medium
Taken from Horde DevelopersHorde Developers
 
2004-05-15 12:13:20 Jan Schneider State ⇒ Assigned
Priority ⇒ 2. Medium
Assigned to Horde DevelopersHorde Developers
 
2004-05-13 21:48:49 horde (at) systemsteam (dot) com Comment #7 Reply to this comment
OK, thanks.
2004-05-13 15:32:59 Jan Schneider Comment #6 Reply to this comment
The changed state has nothing to do with bounties. I'll add a new 
comment as soon as I made a bounty of this ticket.
2004-05-13 15:22:26 Filips Comment #5 Reply to this comment
I saw that this ticket was accepted but I can't see it in the bounty 
list. Do I have to something first?



Thanks

Greetz

Filips
2004-05-12 22:37:02 Jan Schneider State ⇒ Accepted
 
2004-05-12 22:36:38 Jan Schneider State ⇒ Assigned
Priority ⇒ 2. Medium
 
2004-04-24 15:13:44 horde (at) systemsteam (dot) com Comment #4 Reply to this comment
The picture I have is the following:



Let's start as a new user (new installation)



1. You download a kind of small script and run it on your server.

2. The script will download an initial install module and install it 
so you get a kind of install/admin page via web.

3. When browsing to that page you can select the modules you want and 
click an "install/update" button

4. All requirements are checked, and the user is presented with a list 
of things to be done before install

5. The user can check all items he wishes to "fixed" with a checkbox 
and click an "install/update" button

6. The install module will take care of all these things like changing 
the php.ini, load pear modules, etc ...

7. Then the modules will automatically downloaded and installed with 
default parameters (some of those can be entered in the install script)

8. After the install module has finished, Horde, Imp and all other 
selected modules should be working in an initial way.

9. Then the existing setup module can take over



And now ... if there is an existing installation



1. Click an "update" button

2. User will be presented with a list of things that can be updated

3. User checks the wanted checkboxes and click an "Update" button.

4. Everything will be updated automatically.



In both cases service restarts should be performed automatically when 
asked to do that.



As an example of the way it could work, have a look at the way Webmin 
does this. (www.webmin.com)



If I find someone who will do the programming, I will provide the 
specs and layout.



Greetz

Filips



P.S. As a kind of goodwill I'm willing to pay a part up in front.
2004-04-16 08:07:25 Jan Schneider Comment #3 Reply to this comment
... and what you want to see additionally to the existing initial 
setup script and configuration interface.
2004-04-15 21:55:00 mdjukic Comment #2 Reply to this comment
Sounds like a great bounty. Can you give some more details what you 
would like to see the installer handle, steps that would be covered, 
what level of install/config should be available, etc?
2004-04-15 21:21:07 horde (at) systemsteam (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Queue ⇒ Horde Framework Packages
Reply to this comment
Hi folks,



If it doesn't exists yet I would like to open a bounty for $100 to get 
an install script to make the initial installation of horde and it's 
modules.



I'll go to $500 for a web based, full featured install engine and I'm 
willing to play an active role in the development, not the code 
because I'm a code dummy but I'm pretty good in user interfaces.



Just tell me how this can be done?



Greetz

Filips

Saved Queries